Method: advertisers.negativeKeywordLists.negativeKeywords.delete

  • This document outlines how to delete a negative keyword from a negative keyword list using an HTTP DELETE request.

  • Deleting a negative keyword requires providing the advertiser ID, the negative keyword list ID, and the specific keyword value in the path parameters.

  • The request body for this operation must be empty.

  • A successful response body for this deletion operation is also empty.

  • The required authorization scope to perform this action is https://www.googleapis.com/auth/display-video.

Deletes a negative keyword from a negative keyword list.

HTTP request

DELETE https://displayvideo.googleapis.com/v1beta2/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListId}/negativeKeywords/{keywordValue}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
advertiserId

string (int64 format)

Required. The ID of the DV360 advertiser to which the parent negative keyword list belongs.

negativeKeywordListId

string (int64 format)

Required. The ID of the parent negative keyword list to which the negative keyword belongs.

keywordValue

string

Required. The keyword value of the negative keyword to delete.

Request body

The request body must be empty.

Response body

If successful, the response body is empty.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.